import { SearchReporter } from './reporter.js';
export class HumanSearchReporter extends SearchReporter {
    constructor(props) {
        super(props);
    }
    display() {
        if (this.typeRecordsMap.size === 0) {
            this.ux.log('No Records Found');
        }
        this.typeRecordsMap.forEach((records, type) => {
            // to find the columns of the query, parse the keys of the first record
            this.ux.table(records, Object.fromEntries(Object.keys(records[0]).map((k) => [k, { header: k }])), {
                'no-truncate': true,
                title: type,
            });
            this.ux.log();
        });
    }
}
//# sourceMappingURL=humanSearchReporter.js.map