import { Duration } from '@salesforce/kit';
import { FileResponse, RetrieveResult } from '@salesforce/source-deploy-retrieve';
import { SourceTracking } from '@salesforce/source-tracking';
import { Interfaces } from '@oclif/core';
import { SourceCommand } from '../../../sourceCommand.js';
import { PullResponse } from '../../../formatters/source/pullFormatter.js';
export default class Pull extends SourceCommand {
    static readonly state = "deprecated";
    static readonly hidden = true;
    static readonly deprecationOptions: {
        to: string;
        message: string;
    };
    static description: string;
    static summary: string;
    static examples: string[];
    static readonly flags: {
        verbose: Interfaces.BooleanFlag<boolean>;
        'api-version': Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        loglevel: Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        'target-org': Interfaces.OptionFlag<import("@salesforce/core").Org, Interfaces.CustomOptions>;
        forceoverwrite: Interfaces.BooleanFlag<boolean>;
        wait: Interfaces.OptionFlag<Duration, Interfaces.CustomOptions>;
    };
    static requiresProject: boolean;
    protected readonly lifecycleEventNames: string[];
    protected tracking: SourceTracking;
    protected retrieveResult: RetrieveResult;
    protected deleteFileResponses: FileResponse[];
    private flags;
    run(): Promise<PullResponse>;
    protected preChecks(): Promise<void>;
    protected doDeletes(): Promise<void>;
    protected retrieve(): Promise<void>;
    protected resolveSuccess(): void;
    protected formatResult(): PullResponse;
}
