import { Messages } from '@salesforce/core';
import { MetadataApiRetrieveStatus, RequestStatus, RetrieveMessage, RetrieveResult } from '@salesforce/source-deploy-retrieve';
import { Ux } from '@salesforce/sf-plugins-core';
import { ResultFormatter, ResultFormatterOptions } from './resultFormatter.js';
export declare abstract class RetrieveFormatter extends ResultFormatter {
    options: ResultFormatterOptions;
    protected warnings: RetrieveMessage[];
    protected result: MetadataApiRetrieveStatus;
    protected messages: Messages<string>;
    protected constructor(ux: Ux, options: ResultFormatterOptions, result: RetrieveResult);
    protected hasStatus(status: RequestStatus): boolean;
    protected displayWarnings(): void;
    protected displayErrors(): void;
}
