import { RetrieveResult, MetadataApiRetrieveStatus, FileResponse, RetrieveMessage } from '@salesforce/source-deploy-retrieve';
import { Ux } from '@salesforce/sf-plugins-core';
import { RetrieveFormatter } from './retrieveFormatter.js';
import { ResultFormatterOptions } from './resultFormatter.js';
export type PackageRetrieval = {
    name: string;
    path: string;
};
export type RetrieveResultFormatterOptions = {
    packages?: PackageRetrieval[];
} & ResultFormatterOptions;
export type RetrieveCommandResult = {
    inboundFiles: FileResponse[];
    packages: PackageRetrieval[];
    warnings: RetrieveMessage[];
    response: MetadataApiRetrieveStatus;
};
export declare class RetrieveResultFormatter extends RetrieveFormatter {
    protected packages: PackageRetrieval[];
    protected fileResponses: FileResponse[];
    constructor(ux: Ux, options: RetrieveResultFormatterOptions, result: RetrieveResult);
    /**
     * Get the JSON output from the RetrieveResult.
     *
     * @returns RetrieveCommandResult
     */
    getJson(): RetrieveCommandResult;
    /**
     * Displays retrieve results in human format.
     */
    display(): void;
    private displaySuccesses;
}
